org.apache.struts2.el.parser

## Interface ELParserConstants

- All Known Implementing Classes:
    ELParser, ELParserTokenManager

      public interface ELParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AND0` RegularExpression Id.
    `static int` | `AND1` RegularExpression Id.
    `static int` | `BADLY_ESCAPED_STRING_LITERAL` RegularExpression Id.
    `static int` | `COLON` RegularExpression Id.
    `static int` | `COMMA` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DIGIT` RegularExpression Id.
    `static int` | `DIV0` RegularExpression Id.
    `static int` | `DIV1` RegularExpression Id.
    `static int` | `DOT` RegularExpression Id.
    `static int` | `EMPTY` RegularExpression Id.
    `static int` | `END_EXPRESSION` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `EQ0` RegularExpression Id.
    `static int` | `EQ1` RegularExpression Id.
    `static int` | `EXPONENT` RegularExpression Id.
    `static int` | `FALSE` RegularExpression Id.
    `static int` | `FLOATING_POINT_LITERAL` RegularExpression Id.
    `static int` | `FUNCTIONSUFFIX` RegularExpression Id.
    `static int` | `GE0` RegularExpression Id.
    `static int` | `GE1` RegularExpression Id.
    `static int` | `GT0` RegularExpression Id.
    `static int` | `GT1` RegularExpression Id.
    `static int` | `IDENTIFIER` RegularExpression Id.
    `static int` | `ILLEGAL_CHARACTER` RegularExpression Id.
    `static int` | `IMPL_OBJ_START` RegularExpression Id.
    `static int` | `IN_EXPRESSION` Lexical state.
    `static int` | `INSTANCEOF` RegularExpression Id.
    `static int` | `INTEGER_LITERAL` RegularExpression Id.
    `static int` | `LBRACK` RegularExpression Id.
    `static int` | `LE0` RegularExpression Id.
    `static int` | `LE1` RegularExpression Id.
    `static int` | `LETTER` RegularExpression Id.
    `static int` | `LITERAL_EXPRESSION` RegularExpression Id.
    `static int` | `LPAREN` RegularExpression Id.
    `static int` | `LT0` RegularExpression Id.
    `static int` | `LT1` RegularExpression Id.
    `static int` | `MINUS` RegularExpression Id.
    `static int` | `MOD0` RegularExpression Id.
    `static int` | `MOD1` RegularExpression Id.
    `static int` | `MULT` RegularExpression Id.
    `static int` | `NE0` RegularExpression Id.
    `static int` | `NE1` RegularExpression Id.
    `static int` | `NOT0` RegularExpression Id.
    `static int` | `NOT1` RegularExpression Id.
    `static int` | `NULL` RegularExpression Id.
    `static int` | `OR0` RegularExpression Id.
    `static int` | `OR1` RegularExpression Id.
    `static int` | `PLUS` RegularExpression Id.
    `static int` | `QUESTIONMARK` RegularExpression Id.
    `static int` | `RBRACK` RegularExpression Id.
    `static int` | `RPAREN` RegularExpression Id.
    `static int` | `START_DEFERRED_EXPRESSION` RegularExpression Id.
    `static int` | `START_DYNAMIC_EXPRESSION` RegularExpression Id.
    `static int` | `STRING_LITERAL` RegularExpression Id.
    `static String[]` | `tokenImage` Literal token values.
    `static int` | `TRUE` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### LITERAL_EXPRESSION

          static final int LITERAL_EXPRESSION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### START_DYNAMIC_EXPRESSION

          static final int START_DYNAMIC_EXPRESSION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### START_DEFERRED_EXPRESSION

          static final int START_DEFERRED_EXPRESSION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTEGER_LITERAL

          static final int INTEGER_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOATING_POINT_LITERAL

          static final int FLOATING_POINT_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXPONENT

          static final int EXPONENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          static final int STRING_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BADLY_ESCAPED_STRING_LITERAL

          static final int BADLY_ESCAPED_STRING_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRUE

          static final int TRUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FALSE

          static final int FALSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### END_EXPRESSION

          static final int END_EXPRESSION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOT

          static final int DOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACK

          static final int LBRACK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACK

          static final int RBRACK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT0

          static final int GT0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT1

          static final int GT1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT0

          static final int LT0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT1

          static final int LT1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GE0

          static final int GE0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GE1

          static final int GE1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LE0

          static final int LE0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LE1

          static final int LE1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQ0

          static final int EQ0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQ1

          static final int EQ1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NE0

          static final int NE0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NE1

          static final int NE1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT0

          static final int NOT0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT1

          static final int NOT1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND0

          static final int AND0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND1

          static final int AND1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR0

          static final int OR0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR1

          static final int OR1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EMPTY

          static final int EMPTY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INSTANCEOF

          static final int INSTANCEOF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MULT

          static final int MULT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUESTIONMARK

          static final int QUESTIONMARK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIV0

          static final int DIV0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIV1

          static final int DIV1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MOD0

          static final int MOD0

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MOD1

          static final int MOD1

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IDENTIFIER

          static final int IDENTIFIER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FUNCTIONSUFFIX

          static final int FUNCTIONSUFFIX

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IMPL_OBJ_START

          static final int IMPL_OBJ_START

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ILLEGAL_CHARACTER

          static final int ILLEGAL_CHARACTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### IN_EXPRESSION

          static final int IN_EXPRESSION

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.